---
http_interactions:
- request:
    method: get
    uri: https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/logic.json
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Content-Security-Policy:
      - default-src 'none'
      X-Xss-Protection:
      - 1; mode=block
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      Strict-Transport-Security:
      - max-age=31536000
      Etag:
      - '"5eefb28d826edd2f4b42752dce865ddea906d07d"'
      Content-Type:
      - text/plain; charset=utf-8
      Cache-Control:
      - max-age=300
      X-Github-Request-Id:
      - B91F1214:377D:418CCE:56964E8E
      Content-Length:
      - '361'
      Accept-Ranges:
      - bytes
      Date:
      - Wed, 13 Jan 2016 13:18:07 GMT
      Via:
      - 1.1 varnish
      Connection:
      - keep-alive
      X-Served-By:
      - cache-lcy1135-LCY
      X-Cache:
      - MISS
      X-Cache-Hits:
      - '0'
      Vary:
      - Authorization,Accept-Encoding
      Access-Control-Allow-Origin:
      - "*"
      X-Fastly-Request-Id:
      - 779a8eae3777d099ad3f2c33db6685970c1e08ae
      Expires:
      - Wed, 13 Jan 2016 13:23:07 GMT
      Source-Age:
      - '0'
    body:
      encoding: UTF-8
      string: |
        {
          "id": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/logic.json#",
          "$schema": "http://json-schema.org/draft-04/schema#",
          "title": "Logic",
          "description": "A logic as registered with Ontohub",
          "type": "object",
          "properties": {
            "iri": { "$ref": "generic/definitions.json#/definitions/iri" },
            "name": {
              "description": "The name of the logic",
              "type": "string"
            },
            "description": {
              "description": "Description of the logic",
              "type": "string"
            },
            "standardization_status": {
              "description": "The standardization status of the logic",
              "type": "string"
            },
            "defined_by": {
              "description": "The resource which defined the logic",
              "type": ["string", "null"]
            },
            "_links": { "$ref": "generic/definitions.json#/definitions/_links" }
          },
          "required": [
            "iri", "name"
          ]
        }
    http_version: 
  recorded_at: Wed, 13 Jan 2016 13:18:07 GMT
- request:
    method: get
    uri: https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
      User-Agent:
      - Ruby
  response:
    status:
      code: 200
      message: OK
    headers:
      Content-Security-Policy:
      - default-src 'none'
      X-Xss-Protection:
      - 1; mode=block
      X-Frame-Options:
      - deny
      X-Content-Type-Options:
      - nosniff
      Strict-Transport-Security:
      - max-age=31536000
      Etag:
      - '"05f33ad940ee1376f5482f623d6f455d035ce811"'
      Content-Type:
      - text/plain; charset=utf-8
      Cache-Control:
      - max-age=300
      X-Github-Request-Id:
      - B91F121B:3780:3BE0D8:56964E7E
      Content-Length:
      - '947'
      Accept-Ranges:
      - bytes
      Date:
      - Wed, 13 Jan 2016 13:18:07 GMT
      Via:
      - 1.1 varnish
      Connection:
      - keep-alive
      X-Served-By:
      - cache-lcy1130-LCY
      X-Cache:
      - HIT
      X-Cache-Hits:
      - '1'
      Vary:
      - Authorization,Accept-Encoding
      Access-Control-Allow-Origin:
      - "*"
      X-Fastly-Request-Id:
      - 19bf6e26a83933d5b0e9f7bf93d80596a97ef658
      Expires:
      - Wed, 13 Jan 2016 13:23:07 GMT
      Source-Age:
      - '17'
    body:
      encoding: UTF-8
      string: |
        {
          "id": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json#",
          "$schema": "http://json-schema.org/draft-04/schema#",
          "definitions": {
            "iri": {
              "description": "The IRI of a resource",
              "type": "string",
              "format": "iri",
              "pattern": "^https?://([^.]+[.][^.]+)+/.+$"
            },
            "_links": {
              "description": "A _links-element corresponding to the HAL standard for hypermedia information, adopted from https://github.com/DaveJS/dave.schema.json/blob/master/hal-schema.json",
              "type": "object",
              "additionalProperties": {
                "oneOf": [
                  {
                    "id": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json#hal-member",
                    "type": "object",
                    "properties": {
                      "href": {
                        "description": "IRI of a resource",
                        "type": "string",
                        "format": "iri"
                      },
                      "type": {
                        "type": "string",
                        "pattern": "^(application|audio|example|image|message|model|multipart|text|video)\\/[a-zA-Z0-9!#\\$&\\.\\+-\\^_]{1,127}$",
                        "format": "mime",
                        "description": "Hints to the media type of a target resource"
                      },
                      "name": {
                        "type": "string"
                      },
                      "hreflang": {
                        "type": "string",
                        "pattern": "^([a-zA-Z]{2,3}(-[a-zA-Z]{3}(-[a-zA-Z]{3}){0,2})?(-[a-zA-Z]{4})?(-([a-zA-Z]{2}|[0-9]{3}))?(-([a-zA-Z0-9]{5,8}|[0-9][a-zA-Z0-9]{3}))*([0-9A-WY-Za-wy-z](-[a-zA-Z0-9]{2,8}){1,})*(x-[a-zA-Z0-9]{2,8})?)|(x-[a-zA-Z0-9]{2,8})|(en-GB-oed)|(i-ami)|(i-bnn)|(i-default)|(i-enochian)|(i-hak)|(i-klingon)|(i-lux)|(i-mingo)|(i-navajo)|(i-pwn)|(i-tao)|(i-tay)|(i-tsu)|(sgn-BE-FR)|(sgn-BE-NL)|(sgn-CH-DE)|(art-lojban)|(cel-gaulish)|(no-bok)|(no-nyn)|(zh-guoyu)|(zh-hakka)|(zh-min)|(zh-min-nan)|(zh-xiang)$",
                        "description": "Language indication of the target resource"
                      }
                    },
                    "additionalProperties": false,
                    "required": [
                      "href"
                    ]
                  },
                  {
                    "type": "array",
                    "items": [
                      {
                        "$ref": "https://raw.githubusercontent.com/ontohub/ontohub-api-json/develop/generic/definitions.json#hal-member"
                      }
                    ],
                    "uniqueItems": true,
                    "additionalProperties": false
                  }
                ]
              }
            },
            "errors": {
              "description": "Information on the specific errors that occured",
              "type": "array",
              "items": {
                "description": "Information on one of the specific errors that occured",
                "type": "string"
              }
            }
          }
        }
    http_version: 
  recorded_at: Wed, 13 Jan 2016 13:18:07 GMT
recorded_with: VCR 3.0.0
